Debian Bug report logs - #425609
RFP: opengrok -- Wicked fast source code indexing and search software built on top of lucene

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lubos Kosco <tarzanek@gmail.com>

Date: Tue, 22 May 2007 19:36:11 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lubos Kosco <tarzanek@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lubos Kosco <tarzanek@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: OpenGrok -- Wicked fast source code indexing and search software built on top of lucene
Date: Tue, 22 May 2007 21:33:04 +0200
Package: wnpp
Severity: wishlist
Owner: Lubos Kosco <tarzanek@gmail.com>


* Package name    : OpenGrok
  Version         : 0.4
  Upstream Author : Chandan B.N, Trond Norbye, Knut Pape, Martin
  Englund, Sun Microsystems
* URL             : http://www.opensolaris.org/os/project/opengrok
* License         : CDDL
  Programming Lang: Java
  Description     : Wicked fast source code indexing and search software built on top of lucene

 OpenGrok is a fast and usable source code search and cross reference
 engine, written in Java. It helps you search, cross-reference and
navigate
 your source tree. It can understand various program file formats and
 version control histories like SCCS, RCS, CVS and Subversion
 .
 OpenGrok is the tool used for the OpenSolaris Source Browser.
 .

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.16.1 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Arnaud Vandyck" <avandyck@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. Full text and rfc822 format available.

Message #10 received at 425609@bugs.debian.org (full text, mbox):

From: "Arnaud Vandyck" <avandyck@gmail.com>
To: "Lubos Kosco" <tarzanek@gmail.com>, 425609@bugs.debian.org
Subject: Re: Bug#425609: ITP: OpenGrok -- Wicked fast source code indexing and search software built on top of lucene
Date: Tue, 22 May 2007 23:12:08 +0200
On 5/22/07, Lubos Kosco <tarzanek@gmail.com> wrote:

Hi Lubos,

> * Package name    : OpenGrok
[...]
> * License         : CDDL

I think there are problems in Debian with CDDL. Maybe others can
comment but reading these links, I'm not sure opengrok could be in
Debian (maybe in non-free?)

http://en.wikipedia.org/wiki/Common_Development_and_Distribution_License

http://help.lockergnome.com/linux/CDDL-ftopict351728.html

http://ianmurdock.com/?p=267

-- 
Arnaud Vandyck



Changed Bug title to `ITP: opengrok -- Wicked fast source code indexing and search software built on top of lucene' from `ITP: OpenGrok -- Wicked fast source code indexing and search software built on top of lucene'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 26 May 2007 09:24:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Clegg <sam@superduper.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. Full text and rfc822 format available.

Message #17 received at 425609@bugs.debian.org (full text, mbox):

From: Sam Clegg <sam@superduper.net>
To: 425609@bugs.debian.org
Subject: opengrok
Date: Tue, 05 Feb 2008 08:49:28 +0000
[Message part 1 (text/plain, inline)]
Are you planning on uploading this (at least to non-free?).

I'm using it and would love a packaged version.  Do you have preview of
your package on the net somewhere?

-- 
sam clegg
:: sam@superduper.net :: http://superduper.net/ :: PGP : D91EE369
$superduper: .signature,v 1.13 2003/06/17 10:29:24 sam Exp $
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Clegg <sam@superduper.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. Full text and rfc822 format available.

Message #22 received at 425609@bugs.debian.org (full text, mbox):

From: Sam Clegg <sam@superduper.net>
To: 425609@bugs.debian.org
Subject: opengrok
Date: Tue, 05 Feb 2008 08:51:57 +0000
[Message part 1 (text/plain, inline)]
Are you planning on uploading this (at least to non-free?).

I'm using it and would love a packaged version.  Do you have preview of
your package on the net somewhere?

-- 
sam clegg
:: sam@superduper.net :: http://superduper.net/ :: PGP : D91EE369
$superduper: .signature,v 1.13 2003/06/17 10:29:24 sam Exp $
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Clegg <sam@superduper.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. Full text and rfc822 format available.

Message #27 received at 425609@bugs.debian.org (full text, mbox):

From: Sam Clegg <sam@superduper.net>
To: 425609@bugs.debian.org
Subject: opengrok
Date: Tue, 05 Feb 2008 08:52:11 +0000
[Message part 1 (text/plain, inline)]
Are you planning on uploading this (at least to non-free?).

I'm using it and would love a packaged version.  Do you have preview of
your package on the net somewhere?

-- 
sam clegg
:: sam@superduper.net :: http://superduper.net/ :: PGP : D91EE369
$superduper: .signature,v 1.13 2003/06/17 10:29:24 sam Exp $
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ľuboš Koščo" <tarzanek@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. Full text and rfc822 format available.

Message #32 received at 425609@bugs.debian.org (full text, mbox):

From: "Ľuboš Koščo" <tarzanek@gmail.com>
To: "Sam Clegg" <sam@superduper.net>, 425609@bugs.debian.org
Subject: Re: Bug#425609: opengrok
Date: Thu, 17 Apr 2008 17:39:37 +0200
[Message part 1 (text/plain, inline)]
Hi Sam
sorry for a late reply
Opengrok 0.6.1 is out and it finally will go to debian as well:
http://mentors.debian.net/debian/pool/contrib/o/opengrok/

feel free to use above as the apt source, or wait a bit, I hope it will get
to sid

let me know how you like it ;)
Lubos

On Tue, Feb 5, 2008 at 10:51 AM, Sam Clegg <sam@superduper.net> wrote:

> Are you planning on uploading this (at least to non-free?).
>
> I'm using it and would love a packaged version.  Do you have preview of
> your package on the net somewhere?
>
> --
> sam clegg
> :: sam@superduper.net :: http://superduper.net/ :: PGP : D91EE369
> $superduper: .signature,v 1.13 2003/06/17 10:29:24 sam Exp $
>



-- 
Lubos Kosco
tarzanek@gmail.com
tarzan@centrum.sk
http://tarzan.go.to
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. (Thu, 05 Feb 2009 21:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. (Thu, 05 Feb 2009 21:54:02 GMT) Full text and rfc822 format available.

Message #37 received at 425609@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 425609@bugs.debian.org, 425609-submitter@bugs.debian.org
Subject: Re: ITP: opengrok -- Wicked fast source code indexing and search software built on top of lucene
Date: Thu, 5 Feb 2009 21:51:19 +0000
[Message part 1 (text/plain, inline)]
Lubos Kosco wrote:

> * Package name    : OpenGrok
[..]
> * License         : CDDL
                      ^^^^

A further problem might be that OpenGrok uses Exuberant Ctags which is
licensed under the GPL. AIUI, the CDDL is GPL-incompatible.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Message sent on to Lubos Kosco <tarzanek@gmail.com>:
Bug#425609. (Thu, 05 Feb 2009 21:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. (Mon, 22 Jun 2009 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ľuboš Koščo <tarzanek@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, lubos kosco <tarzanek@gmail.com>. (Mon, 22 Jun 2009 07:06:03 GMT) Full text and rfc822 format available.

Message #45 received at 425609@bugs.debian.org (full text, mbox):

From: Ľuboš Koščo <tarzanek@gmail.com>
To: Chris Lamb <lamby@debian.org>, 425609@bugs.debian.org
Cc: 425609-submitter@bugs.debian.org
Subject: Re: Bug#425609: ITP: opengrok -- Wicked fast source code indexing and search software built on top of lucene
Date: Mon, 22 Jun 2009 09:03:53 +0200
[Message part 1 (text/plain, inline)]
On Thu, Feb 5, 2009 at 11:51 PM, Chris Lamb <lamby@debian.org> wrote:

> Lubos Kosco wrote:
>
> > * Package name    : OpenGrok
> [..]
> > * License         : CDDL
>                      ^^^^
>
> A further problem might be that OpenGrok uses Exuberant Ctags which is
> licensed under the GPL. AIUI, the CDDL is GPL-incompatible.


sorry for a late reply

opengrok just calls the elf binary of exuberant ctags and consumes it's
output
I don't think this is a problem, since opengrok doesn't consume any code or
links any library of exuberant ctags.
If this would be problem, then you could say that opengrok cannot be bundled
with Debian, since it runs on kernel which is GPL and opengrok is CDDL ...

but I am no lawyer

I'll try to workout the integration scripts rather than fighting licenses ;)
also it seems http://mentors.debian.net/debian/pool/contrib/o/opengrok/needs
to be updated to 0.7

thanks for comments
Lubos



>
>
>
> Regards,
>
> --
>      ,''`.
>     : :'  :     Chris Lamb
>     `. `'`      lamby@debian.org
>       `-
>



-- 
Lubos Kosco
tarzanek@gmail.com
tarzan@centrum.sk
http://tarzan.go.to
[Message part 2 (text/html, inline)]

Message sent on to Lubos Kosco <tarzanek@gmail.com>:
Bug#425609. (Mon, 22 Jun 2009 07:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. (Thu, 18 Mar 2010 22:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to nr@cs.tufts.edu (Norman Ramsey):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, lubos kosco <tarzanek@gmail.com>. (Thu, 18 Mar 2010 22:33:07 GMT) Full text and rfc822 format available.

Message #53 received at 425609@bugs.debian.org (full text, mbox):

From: nr@cs.tufts.edu (Norman Ramsey)
To: 425609@bugs.debian.org
Subject: opengrok package abandoned?
Date: Thu, 18 Mar 2010 18:26:43 -0400 (EDT)
I saw the ITP but the project seems to have been abandoned.  This is something
I would really like to see.  The directory at mentors is empty and I can't
find it in the regular distribution either.  What happened?


Norman Ramsey




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. (Mon, 22 Mar 2010 17:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ľuboš Koščo <tarzanek@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, lubos kosco <tarzanek@gmail.com>. (Mon, 22 Mar 2010 17:48:10 GMT) Full text and rfc822 format available.

Message #58 received at 425609@bugs.debian.org (full text, mbox):

From: Ľuboš Koščo <tarzanek@gmail.com>
To: Norman Ramsey <nr@cs.tufts.edu>, 425609@bugs.debian.org
Subject: Re: Bug#425609: opengrok package abandoned?
Date: Mon, 22 Mar 2010 18:46:40 +0100
[Message part 1 (text/plain, inline)]
We plan to release next version of {OpenGrok beginning of April 2010
after that I hope to (finally) refresh mentors and apply again, since we
resolved the stopper I hit last time trying to get into the distro

until then just use the .tgz (or OpenSolaris with sv4 or ips package from
jucr pending repository)

I'd be interested in testers of the package once I move it to mentors,
willing to help ?

--
Lubos

On Thu, Mar 18, 2010 at 11:26 PM, Norman Ramsey <nr@cs.tufts.edu> wrote:

> I saw the ITP but the project seems to have been abandoned.  This is
> something
> I would really like to see.  The directory at mentors is empty and I can't
> find it in the regular distribution either.  What happened?
>
>
> Norman Ramsey
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. (Fri, 25 Jun 2010 14:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ľuboš Koščo <tarzanek@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, lubos kosco <tarzanek@gmail.com>. (Fri, 25 Jun 2010 14:27:02 GMT) Full text and rfc822 format available.

Message #63 received at 425609@bugs.debian.org (full text, mbox):

From: Ľuboš Koščo <tarzanek@gmail.com>
To: Norman Ramsey <nr@cs.tufts.edu>, 425609@bugs.debian.org
Subject: Re: Bug#425609: opengrok package abandoned?
Date: Fri, 25 Jun 2010 16:24:48 +0200
[Message part 1 (text/plain, inline)]
OK, it seems I have a prob

lucene 3 is not packaged in debian YET
without it I cannot package opengrok :(

--
L

On Tue, Mar 23, 2010 at 10:39 PM, Norman Ramsey <nr@cs.tufts.edu> wrote:

>  > We plan to release next version of {OpenGrok beginning of April 2010
>  > after that I hope to (finally) refresh mentors and apply again, since we
>  > resolved the stopper I hit last time trying to get into the distro
>  >
>  > until then just use the .tgz (or OpenSolaris with sv4 or ips package
> from
>  > jucr pending repository)
>  >
>  > I'd be interested in testers of the package once I move it to mentors,
>  > willing to help ?
>
> Maybe.  My schedule is packed, so I can make no promises.
>
>
> Norman
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, lubos kosco <tarzanek@gmail.com>:
Bug#425609; Package wnpp. (Sat, 19 Feb 2011 18:11:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, lubos kosco <tarzanek@gmail.com>. (Sat, 19 Feb 2011 18:11:36 GMT) Full text and rfc822 format available.

Message #68 received at 425609@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 425609@bugs.debian.org
Cc: control@bugs.debian.org
Subject: opengrok: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:00:17 +0000
retitle 425609 RFP: opengrok -- Wicked fast source code indexing and search software built on top of lucene
noowner 425609
thanks

Hi,

This is an automatic email to change the status of opengrok back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting opengrok, please send a mail to
<control@bugs.debian.org> with:

 retitle 425609 ITP: opengrok -- Wicked fast source code indexing and search software built on top of lucene
 owner 425609 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <425609@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: opengrok -- Wicked fast source code indexing and search software built on top of lucene' from 'ITP: opengrok -- Wicked fast source code indexing and search software built on top of lucene' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:23:45 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by lubos kosco <tarzanek@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:23:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#425609; Package wnpp. (Fri, 06 May 2011 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Page <james.page@canonical.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 May 2011 12:45:04 GMT) Full text and rfc822 format available.

Message #77 received at 425609@bugs.debian.org (full text, mbox):

From: James Page <james.page@canonical.com>
To: 425609@bugs.debian.org
Subject: Status of packaging opengrok
Date: Fri, 06 May 2011 13:40:36 +0100
[Message part 1 (text/plain, inline)]
Hi Lubos

Aside from packaging of lucene 3, whats the current state of the
opengrok packaging?

We'd like to use opengrok for Ubuntu and I'd be happy to help out if
there is anything I can do to help finish this work.

Cheers

James

-- 
James Page
Software Engineer, Ubuntu Server Team
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:35:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.